## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class DateTimePatternType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.DateTimePatternType

All Implemented Interfaces:
  IPossibleValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class DateTimePatternType

extends AbstractRootTypeDescriptor
implements IPossibleValues

Meta-data processing type representing a Date, Time and DateTime Pattern types.

Provisional API - subject to change

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Constructor Summary
`DateTimePatternType()`

Method Summary
`java.util.List` `getPossibleValues()`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### DateTimePatternType

    public DateTimePatternType()

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.